# AndroidConfig (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj
Class AndroidConfig

    java.lang.Object
      net.schmizz.sshj.ConfigImpl
          net.schmizz.sshj.DefaultConfig
              net.schmizz.sshj.AndroidConfig

All Implemented Interfaces:
  Config

    public class AndroidConfig

extends DefaultConfig

Constructor Summary
`AndroidConfig()`

Method Summary
`protected void` `initRandomFactory(boolean ignored)`

Methods inherited from class net.schmizz.sshj.DefaultConfig
`initCipherFactories, initCompressionFactories, initFileKeyProviderFactories, initKeyExchangeFactories, initMACFactories, initSignatureFactories`

Methods inherited from class net.schmizz.sshj.ConfigImpl

`getCipherFactories, getCompressionFactories, getFileKeyProviderFactories, getKeyExchangeFactories, getMACFactories, getRandomFactory, getSignatureFactories, getVersion, setCipherFactories, setCipherFactories, setCompressionFactories, setCompressionFactories, setFileKeyProviderFactories, setFileKeyProviderFactories, setKeyExchangeFactories, setKeyExchangeFactories, setMACFactories, setMACFactories, setRandomFactory, setSignatureFactories, setSignatureFactories, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AndroidConfig

    public AndroidConfig()

Method Detail

### initRandomFactory

    protected void initRandomFactory(boolean ignored)

  Overrides:
    `initRandomFactory` in class `DefaultConfig`

Copyright © 2009-2011. All Rights Reserved.